Summary:	Tools for Intel DRM driver
Summary(pl.UTF-8):	Narzędzia do sterownika Intel DRM
Name:		xorg-app-intel-gpu-tools
Version:	1.8
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/archive/individual/app/intel-gpu-tools-%{version}.tar.bz2
# Source0-md5:	49d2c3c65204d889189c4d8c14c598b3
URL:		http://intellinuxgraphics.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	bison
BuildRequires:	cairo-devel >= 1.12.0
BuildRequires:	glib2-devel >= 2.0
%if %(locale -a | grep -q '^en_US\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libdrm-devel >= 2.4.52
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.0
BuildRequires:	sed >= 4.0
BuildRequires:	swig-python >= 2.0.0
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-util-util-macros >= 1.16
Requires:	cairo >= 1.12.0
Requires:	libdrm >= 2.4.52
Requires:	xorg-lib-libXrandr >= 1.3
Requires:	xorg-lib-libpciaccess >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of tools for development and testing of the Intel
DRM driver.

%description -l pl.UTF-8
Ten pakiet zawiera zestaw narzędzi do rozwijania i testowania
sterownika Intel DRM.

%prep
%setup -q -n intel-gpu-tools-%{version}

%{__sed} -i -e '1s,#!/usr/bin/env python3,#!/usr/bin/python3,' tools/quick_dump/{quick_dump,reg_access}.py

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

# python needs UTF-8 locale to read non-ascii debugger/system_routine/*.g4a files
LC_ALL=en_US.UTF-8 \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/I*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/chipset.py
%attr(755,root,root) %{_bindir}/eudb
%attr(755,root,root) %{_bindir}/gem_userptr_benchmark
%attr(755,root,root) %{_bindir}/intel-gen4asm
%attr(755,root,root) %{_bindir}/intel-gen4disasm
%attr(755,root,root) %{_bindir}/intel-gpu-overlay
%attr(755,root,root) %{_bindir}/intel_*
%attr(755,root,root) %{_bindir}/quick_dump.py
%attr(755,root,root) %{_bindir}/reg_access.py
%attr(755,root,root) %{_libdir}/I915ChipsetPython.so
%{_pkgconfigdir}/intel-gen4asm.pc
%{_mandir}/man1/intel_*.1*
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-intel-gpu-tools.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a1cf195
- release 2 (by relup.sh)

* Tue Sep 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 699136d
- updated to 1.8
- removed obsolete missing patch

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 630bf22
- updated to 1.7

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> d5f454b
- updated to 1.6
- added missing patch (one missing file from git)
- python build script requires UTF-8 locale to work on non-ascii file

* Thu Nov 07 2013 Jakub Bogusz <qboosh@pld-linux.org> b8655ab
- updated to 1.5

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 14df415
- updated to 1.4

* Mon Aug 27 2012 Jakub Bogusz <qboosh@pld-linux.org> d0fdba7
- updated libdrm version

* Mon Aug 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 57d628b
- up to 1.3

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 33877c0
- updated to 1.2

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 1e03682
- updated to 1.1

* Sat Oct 10 2009 Jakub Bogusz <qboosh@pld-linux.org> 0ab01dd
- libs version
- disable shave (we want gcc arguments in build logs)
- pl

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 17a0029
- up to 1.0.2

* Wed May 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d94d820
- up to 1.0.1

* Tue Apr 28 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> abff7bf
- initial

